#global debug_package %%{nil}

%bcond_with check

%if 0%{?mageia}
%global bundled_rust_deps 1
%else
%global bundled_rust_deps 0
%endif

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           glycin-loaders
Version:        1.0.1
Release:        %mkrel 2
Summary:        Sandboxed image rendering
Group:          Graphical desktop/GNOME

# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause
# BSD-3-Clause
# LGPL-2.1-or-later
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# MPL-2.0 OR LGPL-2.1-or-later
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        (Apache-2.0 OR MIT) AND BSD-3-Clause AND (MIT OR Apache-2.0) AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-2-Clause AND BSD-3-Clause AND LGPL-2.1-or-later AND MIT AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Zlib OR Apache-2.0) AND MPL-2.0 AND (MPL-2.0 OR LGPL-2.1-or-later) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT)
# LICENSE.dependencies contains a full license breakdown
URL:            https://gitlab.gnome.org/sophie-h/glycin
Source0:        https://download.gnome.org/sources/glycin-loaders/%{url_ver}/glycin-loaders-%{tarball_version}.tar.xz

BuildRequires:  cargo-rpm-macros
BuildRequires:  meson
BuildRequires:  git-core
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(libheif)
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libssh2)
BuildRequires:  pkgconfig(libseccomp)

%description
Sandboxed and extendable image decoding.


%prep
%autosetup -p1 -n glycin-loaders-%{tarball_version}

%if ! 0%{?bundled_rust_deps}
rm -rf vendor
%cargo_prep
%endif


%if ! 0%{?bundled_rust_deps}
%generate_buildrequires
%cargo_generate_buildrequires
%endif


%build
%meson \
  -Dloaders=glycin-image-rs,glycin-jxl,glycin-svg \
  -Dtest_skip_install=true \
  %{nil}

%meson_build


%install
%meson_install


%if %{with check}
%check
# Something is wrong with the test setup and tests fail with
# "No such file or directory"
%meson_test || :
%endif


%files
%license LICENSE LICENSE-LGPL-2.1 LICENSE-MPL-2.0
%doc NEWS README.md
%{_libexecdir}/glycin-loaders/
%{_datadir}/glycin-loaders/


%changelog
* Sun Mar 16 2025 wally <wally> 1.0.1-2.mga10
+ Revision: 2164806
- rebuild for libxml2 2.13.6

* Thu Sep 19 2024 daviddavid <daviddavid> 1.0.1-1.mga10
+ Revision: 2098973
- new version 1.0.1
- new version 1.0.0
- new version 0.1.2

* Wed Oct 18 2023 tv <tv> 0.1.1-1.mga10
+ Revision: 1998804
- Fix group
- imported package glycin-loaders


* Tue Oct 17 2023 Thierry Vignaud <tv@mageia.org> 0.1.1-0.1.mga10
- Import from FC

* Tue Oct 17 2023 Thierry Vignaud <tv@mageia.org> 0.1.1-0.1.mga10
- Import from FC

* Tue Oct 17 2023 Thierry Vignaud <tv@mageia.org> 0.1.1-0.1.mga10
- Import from FC

* Tue Oct 17 2023 Thierry Vignaud <tv@mageia.org> 0.1.1-1.mga10
- Import from FC

* Sun Oct 01 2023 Kalev Lember <klember@redhat.com> - 0.1.1-3
- Drop downstream patch to use librsvg pre-release version

* Thu Sep 21 2023 Kalev Lember <klember@redhat.com> - 0.1.1-2
- Enable heif support now that rust-libheif-rs is packaged

* Tue Sep 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.1-1
- Update to version 0.1.1

* Thu Sep 07 2023 Kalev Lember <klember@redhat.com> - 0.1~rc-4
- ExcludeArch i686 for
  https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval

* Thu Sep 07 2023 Kalev Lember <klember@redhat.com> - 0.1~rc-3
- Skip install during self tests

* Thu Sep 07 2023 Kalev Lember <klember@redhat.com> - 0.1~rc-2
- Use bundled rust deps on RHEL

* Wed Sep 06 2023 Kalev Lember <klember@redhat.com> - 0.1~rc-1
- Update to 0.1.rc

* Wed Aug 23 2023 Kalev Lember <klember@redhat.com> - 0.1~beta.4-2
- Enable qoi support now that it's available in rust-image

* Wed Aug 23 2023 Kalev Lember <klember@redhat.com> - 0.1~beta.4-1
- Update to 0.1.0-beta.4
- Upstream relicensed to 'MPL-2.0 OR LGPL-2.1-or-later'

* Tue Aug 22 2023 Kalev Lember <klember@redhat.com> - 0.1~beta.3-3
- Re-enable tests, but ignore the results for now

* Tue Aug 22 2023 Kalev Lember <klember@redhat.com> - 0.1~beta.3-2
- Temorarily disable tests

* Tue Aug 22 2023 Kalev Lember <klember@redhat.com> - 0.1~beta.3-1
- Update to 0.1.beta.3

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1~beta.2-2
- Update the license tag to reflect the licenses of all rust dependencies
- Use LGPL-2.1-only for the project license until we get confirmation from
  upstream

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1~beta.2-1
- Initial Fedora packaging (rhbz#2233278)
